Bug 69199 - error dealing with signatures
error dealing with signatures
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-18 16:14 EDT by Mihai Ibanescu
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-18 16:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm that fails to be signed (3.83 MB, application/x-rpm)
2002-07-18 16:15 EDT, Mihai Ibanescu
no flags Details

  None (edit)
Description Mihai Ibanescu 2002-07-18 16:14:07 EDT
Description of Problem:
rpm package that seems to have been built with 3.0.4 fails to be signed/queried
for signatures/etc


Version-Release number of selected component (if applicable):
rpm 4.0.4-7.x.18


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
[misa@roadrunner misa]$ rpm -Kvvv /tmp/cpqacuxe-1.32-2.0.i386.rpm 
D: Expected size:      4019066 = lead(96)+sigs(149)+pad(3)+data(4018818)
D:   Actual size:      4019098
error: /tmp/cpqacuxe-1.32-2.0.i386.rpm: No signature available
[misa@roadrunner misa]$ rpm --addsign /tmp/cpqacuxe-1.32-2.0.i386.rpm 
Enter pass phrase: 
Pass phrase is good.
/tmp/cpqacuxe-1.32-2.0.i386.rpm:
error: /tmp/cpqacuxe-1.32-2.0.i386.rpm: No signature available


Expected Results:


Additional Information:
Comment 1 Mihai Ibanescu 2002-07-18 16:15:13 EDT
Created attachment 65864 [details]
rpm that fails to be signed
Comment 2 Jeff Johnson 2002-07-25 19:57:57 EDT
Use rpm-4.1 to sign packages.

Note You need to log in before you can comment on or make changes to this bug.